Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.dd
Class ScrollManager

    java.lang.Object
      com.gwtext.client.dd.ScrollManager

    public class ScrollManager

extends java.lang.Object

Provides automatic scrolling of overflow regions in the page during drag operations.

Constructor Summary
`ScrollManager()`

Method Summary
`static void` | `refreshCache()` Manually trigger a cache refresh.
`static void` | `register(com.google.gwt.user.client.Element element)` Registers a new overflow element to auto scroll.
`static void` | `register(java.lang.String elementID)` Registers a new overflow element to auto scroll.
`static void` | `unregister(com.google.gwt.user.client.Element element)` Unregisters an overflow element so it are no longer scrolled.
`static void` | `unregister(java.lang.String elementID)` Unregisters an overflow element so it are no longer scrolled.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScrollManager

    public ScrollManager()

Method Detail

### refreshCache

    public static void refreshCache()

  Manually trigger a cache refresh.

### register

    public static void register(java.lang.String elementID)

  Registers a new overflow element to auto scroll.

  Parameters:
    `elementID` - the element ID

### register

    public static void register(com.google.gwt.user.client.Element element)

  Registers a new overflow element to auto scroll.

  Parameters:
    `element` - the element

### unregister

    public static void unregister(java.lang.String elementID)

  Unregisters an overflow element so it are no longer scrolled.

  Parameters:
    `elementID` - the lement ID

### unregister

    public static void unregister(com.google.gwt.user.client.Element element)

  Unregisters an overflow element so it are no longer scrolled.

  Parameters:
    `element` - the element

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD